Subject: Re: [patch] _man: Support directories with suffixes
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Date: Thu, 19 May 2016 21:14:26 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Matthew Martin wrote on Thu, May 19, 2016 at 00:07:25 -0500:
> 896f43c broke completion for man 3p <tab> on OpenBSD because those man
> pages are in /usr/share/man/man3p.
> 
> I couldn't figure out what was the purpose for using $~sect, so I just
> dropped the tilde.
> 

Sorry about that.  Dropping the tilde would be fine with me (I didn't
add it, I'm not sure what it's for, and my use-case works without it).

Tangentially related: I noticed that _man doesn't handle corrections —
e.g., «man 3 getwpnam<_correct_word>» has no matches, even though «man
3 getpwna<TAB>» completes «getpwnam» — but haven't investigated.

Cheers,

Daniel